Subject: Re: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA, [PATCH] Prepare package.el to be published on GNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Mar 2025 14:08:30 -0400

>>> Alternatively one can check what is provided exactly by the given Compat
>>> version.  Package-lint provides an API version check and has Compat
>>> support.  It warns if an API is used which is not available by the
>>> specified Emacs or Compat version.
>> Maybe it could also point out when the specified requirements seem to be
>> more strict than necessary?
> Does it matter much in the end, considering that package.el will fetch
> the newest version from ELPA, if any satisfactory version is available?

I'm worried that our standard practice is being polluted by other
systems where it's routine to force all users to constantly upgrade
everything (which I believe ultimately erodes the freedoms offered by
Free Software), so I think it's important that the packages over which
we have some control preserve the tradition of being careful to keep
dependencies no stricter than necessary.

        Stefan